<p align="center">
<img src="https://pdfire.io/img/logo.svg" width="100" alt="PDFire.io logo">
</p>

# PDFire Ruby

![GitHub](https://img.shields.io/github/license/modernice/pdfire-ruby?style=flat-square)

This package provides a client for the [PDFire.io](https://pdfire.io) API. Read the [Documentation](https://docs.pdfire.io) for a list of available options.

## Installation

```sh
gem install pdfire
```

## Basic usage

```ruby
require 'pdfire'

client = PDFire::Client.new('YOUR-API-KEY')

params = PDFire::ConversionParams.new
params.url = 'https://google.com'
params.margin = 0
params.format = 'A4'

pdf = client.convert(params)

pdf.save_to('/path/on/disk.pdf')
```

## License

[MIT](https://choosealicense.com/licenses/mit/)
